public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ryan Hill" <rhill@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-i18n/poedit/
Date: Sun, 24 Apr 2016 08:44:35 +0000 (UTC)	[thread overview]
Message-ID: <1461487408.ec3a3f364794c947aa47f8592eaafec2b3f3552c.rhill@gentoo> (raw)

commit:     ec3a3f364794c947aa47f8592eaafec2b3f3552c
Author:     Ryan Hill <rhill <AT> gentoo <DOT> org>
AuthorDate: Sun Apr 24 08:43:28 2016 +0000
Commit:     Ryan Hill <rhill <AT> gentoo <DOT> org>
CommitDate: Sun Apr 24 08:43:28 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec3a3f36

app-i18n/poedit: Version bump.  Switch to GTK+3.

Package-Manager: portage-2.2.28
Signed-off-by: Ryan Hill <rhill <AT> gentoo.org>

 app-i18n/poedit/Manifest            |  1 +
 app-i18n/poedit/poedit-1.8.7.ebuild | 67 +++++++++++++++++++++++++++++++++++++
 2 files changed, 68 insertions(+)

diff --git a/app-i18n/poedit/Manifest b/app-i18n/poedit/Manifest
index 0b328fa..0ddb73e 100644
--- a/app-i18n/poedit/Manifest
+++ b/app-i18n/poedit/Manifest
@@ -1,3 +1,4 @@
 DIST poedit-1.5.5.tar.gz 2594758 SHA256 3c94c9825c11a2d1ce10e083ad246e8625469f358da4a5a2f6210170b970f949 SHA512 a3524e27681dbf97babef7bf3ec56d6b7cd736370f8ed86b53c717a5a2eb36245f9ed89fcd28b57bd4d6f5ff5fb98d6c1615baae0bf10be720dcfdafa57ad4f4 WHIRLPOOL 893795acc85183cede0313b9220179cafa17a92033e8472e48454475f4ecdf51a014dc7123e9396a38a98217c43666919e7a1dadf68ab2f401b920071cec3d23
 DIST poedit-1.8.3.tar.gz 2319253 SHA256 2a73c659506c31eac142ad5b070a2370a797f3e81813c915bdd75fac2dd21ec1 SHA512 c09faf18c9e58b2f4547e47d22a2237589eb4663985d0d3411e6f83691c34d075bff188fc14a9e245efe89d976377956d604c7f09d0329ddcd70383243f0f6b0 WHIRLPOOL 31b324c4c5b731836865c7bd464003b38406bf114f39354e9c6cb2bcfb65d5a3dead3e05ba780d2f0e13d504368d40e365f6372b6c9d5493814e063dd77a0bdf
 DIST poedit-1.8.5.tar.gz 2404829 SHA256 cf541b8cbaf5d019cb2bd8f97c848e9f2d59dcf771d2281fc08f1122a923d96d SHA512 87eae2bcedc07eefb097edf263db10b3947956cfa504eddb259e3c3cfed6215ad0da4517fe5132b61041c39a7fbabd298ca42582570295bacbbd62d5ffc6f6a7 WHIRLPOOL 316e0593e2e5fa82c893f9b55ab0b8b2816a65f33e64f0b25985704c05c8d5d319cea4199c3c9685c57a0fbd96ace26f091214aab66a02dfc858759be8d7d99d
+DIST poedit-1.8.7.tar.gz 2483945 SHA256 562d9fdf44869db63ad5c219a79aeecda859490d57e43e00140b0e8114006a46 SHA512 609022e696915cddb130c561c7eaa7dff76ce0458f58d9b8de34f0e8b98839cdccaf4a593e0e4eded67252cece08c61f961191f64cf4d76fa148f403d9705e68 WHIRLPOOL 8d1b7eafa8605323d8e4048e07eb631cac65eb2f98bdbe61687cb18c79120ac12187c6be60f112695b624857f0483c9fb6ec5e581691cb07cd14dcd30728d09e

diff --git a/app-i18n/poedit/poedit-1.8.7.ebuild b/app-i18n/poedit/poedit-1.8.7.ebuild
new file mode 100644
index 0000000..c99617e
--- /dev/null
+++ b/app-i18n/poedit/poedit-1.8.7.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+WX_GTK_VER=3.0-gtk3
+
+PLOCALES="af am an ar ast az be be@latin bg bn br bs ca ca@valencia ckb co cs da de el en_GB eo es et eu fa fi fr fur fy_NL ga gl he hi hr hu hy id is it ja ka kab kk ko ky lt lv mk mn mr ms nb ne nl nn oc pa pl pt_BR pt_PT ro ru sk sl sq sr sv ta tg th tr tt ug uk ur uz vi wa zh_CN zh_TW"
+
+inherit fdo-mime l10n wxwidgets
+
+DESCRIPTION="GUI editor for gettext translations files"
+HOMEPAGE="https://poedit.net"
+SRC_URI="https://github.com/vslavik/${PN}/releases/download/v${PV}-oss/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86"
+IUSE=""
+
+# db/expat req for legacytm (backwards support for pre 1.6)
+# we currently have 1.5.5 in stable so this is enabled
+RDEPEND="
+	app-text/gtkspell:3
+	dev-cpp/lucene++
+	dev-libs/boost:=[nls]
+	dev-libs/expat
+	dev-libs/icu:=
+	||	(
+		=sys-libs/db-5*:=[cxx]
+		=sys-libs/db-4*:=[cxx]
+		)
+	x11-libs/gtk+:3
+	x11-libs/wxGTK:${WX_GTK_VER}[X]
+	"
+
+DEPEND="${RDEPEND}
+	virtual/pkgconfig"
+
+src_prepare() {
+	my_rm_loc() {
+		sed -i -e "/^POEDIT_LINGUAS = /s: ${1}::" locales/Makefile.in || die
+		rm "locales/${1}.mo" || die
+	}
+	l10n_find_plocales_changes 'locales' '' '.mo'
+	l10n_for_each_disabled_locale_do my_rm_loc
+
+	setup-wxwidgets
+	default
+}
+
+src_configure() {
+	econf --without-cpprest --without-cld2
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+	dodoc AUTHORS NEWS README
+}
+
+pkg_postinst() {
+	fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+	fdo-mime_desktop_database_update
+}


             reply	other threads:[~2016-04-24  8:44 UTC|newest]

Thread overview: 60+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-24  8:44 Ryan Hill [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-12 17:34 [gentoo-commits] repo/gentoo:master commit in: app-i18n/poedit/ Sam James
2024-12-14 16:38 Sam James
2024-12-14 16:38 Sam James
2024-11-24 23:15 Sam James
2024-11-08 18:16 Pacho Ramos
2024-11-08 18:16 Pacho Ramos
2024-08-30 14:59 Ionen Wolkens
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2024-06-21 18:22 Sam James
2020-06-14  8:39 Mart Raudsepp
2019-12-31  8:18 Agostino Sarubbo
2019-12-31  8:15 Agostino Sarubbo
2019-12-30 12:29 Agostino Sarubbo
2019-12-28 10:17 Sergei Trofimovich
2019-12-27 16:43 Agostino Sarubbo
2019-12-25 21:24 Mart Raudsepp
2019-11-20 11:21 Agostino Sarubbo
2019-11-19 12:48 Agostino Sarubbo
2019-11-18 11:50 Agostino Sarubbo
2019-11-16 11:17 Mart Raudsepp
2019-11-16 11:17 Mart Raudsepp
2019-11-16 10:34 Sergei Trofimovich
2019-07-14 11:11 Mart Raudsepp
2018-12-20  0:20 Mart Raudsepp
2018-10-23 20:36 Sergei Trofimovich
2018-09-15 12:36 Mikle Kolyada
2018-09-11 20:45 Mart Raudsepp
2018-09-11 20:40 Matt Turner
2018-09-11 20:40 Matt Turner
2018-08-05 21:21 Mart Raudsepp
2018-08-05  1:03 Thomas Deutschmann
2018-08-04  0:07 Mikle Kolyada
2018-08-02 18:44 Sergei Trofimovich
2018-07-14 21:06 Mart Raudsepp
2018-05-27  9:40 Mart Raudsepp
2018-05-27  8:44 Mart Raudsepp
2018-04-20 19:48 David Seifert
2018-04-01 21:44 Sergei Trofimovich
2018-02-27 21:56 Sergei Trofimovich
2018-02-23 22:10 Sergei Trofimovich
2018-02-20  8:10 Sergei Trofimovich
2018-02-19  7:50 Jason Zaman
2018-02-18 21:48 Thomas Deutschmann
2018-02-10 12:56 Jeroen Roovers
2018-01-24 21:25 Sergei Trofimovich
2018-01-20 23:03 Andreas Sturmlechner
2018-01-20 19:13 Mart Raudsepp
2018-01-10  2:30 Mart Raudsepp
2017-12-23 19:53 Sergei Trofimovich
2017-12-23 19:53 Sergei Trofimovich
2017-12-10 14:16 David Seifert
2017-09-24 10:39 Sergei Trofimovich
2017-06-02 12:04 Jeroen Roovers
2017-04-22 14:03 Jeroen Roovers
2016-12-31 22:20 Agostino Sarubbo
2016-06-21 20:01 Michał Górny
2016-05-24 19:15 Pacho Ramos
2015-10-15  2:19 Ryan Hill

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1461487408.ec3a3f364794c947aa47f8592eaafec2b3f3552c.rhill@gentoo \
    --to=rhill@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox